*{
  padding: 0;
  margin: 0;
  box-sizing: border-box;
  font-family: 'Courier New', Courier, monospace;
  user-select: none;
}
:root {
  --dark-color-card:#2DCDDF;
  --ligth-color-body: aliceblue;
  --dark-color-body: #181D31;
  --dark-h1-color:#B2B2B2;
  --dark-h2-color:#B2B2B2 ;
  --ligth-h1-color: #3C79F5;
  --ligth-color-card: #EDEDED;
  --dark-color-card:#182747;
  --dark-color-btn-hover:#FF597B;
}
body {
  background-color: var(--ligth-color-body);
}
button {
  padding: 0.5rem;
  border: none;
  border-radius: 0.5rem;
  background-color: var(--ligth-h1-color);
  cursor: pointer;
}
h2 {
  color: var(--ligth-h1-color);
}
p{
  color: var(--ligth-h1-color);
}
li {
  list-style: none;
  cursor: pointer;
  font-weight: bold;
}
a {
  text-decoration: none;
  color: var(--ligth-h1-color);
  font-weight: bold;
}
footer {

  display: flex;
  max-width: 1040px;
  margin: 0 auto;
  flex-direction: column;
  align-items: center;
}
footer > img {
  width: 40px;
  height: 40px;
  border-radius: 50%;
}
footer > img:hover{
  scale: 1.2;
  transition: scale 0.5;
}

.load {
  width: 100vw;
  height: 100vh;
  background-color: #A0C3D2;
  position: fixed;
  display: flex;
  justify-content: center;
  align-items: center;
  
}

.load > img{
  width: 200px;
  height: 200px;
  border: solid 5px black;
  border-radius: 50%;
  animation: loader 0.3s alternate infinite;
}
@keyframes loader {
  0% {
    transform: translateY(-2px);
  }
  25%{
    transform: translateY(2px);
  }
  50% {
    transform: translateY(6px);
  }
  75% {
    transform: translateY(8px);
  }
  100% {
    transform: translateY(10px);
  }
}
.cabezera {
  max-width: 1040px;
  display: flex;
  flex-direction: row;
  justify-content: space-between;
  margin: 0 auto;
  color: var(--ligth-h1-color);
}
.fa-solid {
  cursor: pointer;
  font-size: 25px;
  margin-top: auto;
}
.darkMode {
  background-color: var(--dark-color-body);
  --ligth-h1-color: aliceblue;
  --ligth-color-card: #182747;
}
.filtros > ul{
  display: flex;
  gap: 0.7rem;
  max-width: 1040px;
  margin: 10px auto;
  color: var(--ligth-h1-color);

}
.contenedor__principal {
  max-width: 1040px;
  margin: 0 auto;
  display: grid;
  grid-template-columns: 1fr;
  grid-template-rows: 1fr;
  grid-auto-rows: 1fr;
}

.seccion__tarjetas {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  grid-template-rows: 1fr;
  grid-auto-rows: 1fr;
}

.contenedor__coleccion {
  display: grid;
  grid-template-columns: repeat(auto-fill, minmax(200px, 1fr));
  grid-template-rows: 1fr;
  grid-auto-rows: 1fr;
}

.tarjeta {
  background-color:var(--ligth-color-card);
  width: 180px;
  display: flex;
  flex-direction: column;
  margin-bottom: 1rem;
  border-radius: 0.5rem;
  box-shadow: 0 1rem 3rem rgba(0, 0, 0, .175);
}
.imagen__tarjeta {
  border-top-left-radius: 0.5rem;
  border-top-right-radius: 0.5rem;
  height: 150px;
}
.cuerpo__tarjeta {
  padding: 20px;
}

.agregar__btn{
  margin-top: 1rem;
}
.agregar__btn:hover {
  background-color:var(--dark-color-btn-hover);
  
}

.tarjeta_coleccion {
  background-color:var(--ligth-color-card);
  width: 150px;
  height: 270px;
  display: flex;
  flex-direction: column;
  margin-bottom: 1rem;
  border-radius: 0.5rem;
  box-shadow: 0 1rem 3rem rgba(0, 0, 0, .175);
}
.tarjeta_coleccion img {
  height: 100px;
}
.contenedor__coleccion {
  font-size: 14px;
}
.cuerpo__coleccion {
  padding: 10px;
}

.eliminar__btn {
  display: block;
  margin-left: auto;
  margin-right: auto;
}
.contenedor__coleccion{
  display: flex;
  flex-wrap: wrap;
  gap: 1rem;
}
.eliminar__btn:hover {
  background-color: var(--dark-color-btn-hover);
}
.car_empy {
  width: 100%;
  display: flex;
  flex-direction: column;
  align-items: center;
  justify-content: center;

}
.car_empy img{
  width: 100px;

  margin-top: 100px;
}
.car_empy h2{
  display: block;
  margin-right: auto;
  margin-left: auto
}
.price {
  font-weight: bold;
}
@media (min-width: 768px) {
  .contenedor__principal {
    grid-template-columns: 2fr 1fr;
  }
}
